%define upstream_name    XML-GrammarBase
%define upstream_version v0.1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A parameterized role for an XSLT converter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Moo::Role)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::Role)
BuildRequires: perl(MooX::Types::MooseLike)
BuildRequires: perl(MooX::late)
BuildRequires: perl(Package::Variant)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::XML::Ordered)
BuildRequires: perl(XML::LibXML) >= 2.1.300
BuildRequires: perl(XML::LibXSLT)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
XML::GrammarBase aims to be a convenient framework for easily providing
processors for XML grammars (such as those under the XML::Grammar namespace
- the http://www.shlomifish.org/open-source/projects/XML-Grammar/ manpage
).

It provides roles and base classes for facilitating writing those.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 375051
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 0.1.1-1.mga3
+ Revision: 338120
- update to v0.1.1

* Sat Dec 29 2012 shlomif <shlomif> 0.0.3-1.mga3
+ Revision: 336217
- imported package perl-XML-GrammarBase

